Bug 199324 - dns/fastresolve UNBREAK, add MASTER_SITES, take MAINTAINER'ship
Summary: dns/fastresolve UNBREAK, add MASTER_SITES, take MAINTAINER'ship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-09 18:03 UTC by Chris Hutchinson
Modified: 2015-04-13 06:55 UTC (History)
2 users (show)

See Also:


Attachments
svn diff for dns/fastresolve (2.08 KB, patch)
2015-04-09 18:03 UTC, Chris Hutchinson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2015-04-09 18:03:50 UTC
Created attachment 155377 [details]
svn diff for dns/fastresolve

I think this port still has value. It's currently
marked BROKEN, for lack of source. I have the source,
and can simply host it, along with all the other ports
I already host.

Following is a session showing it now works:

# make fetch
===>  License GPLv2 accepted by the user
===>   fastresolve-2.10_5 depends on file: /usr/local/sbin/pkg - found
=> fastresolve-2.10.tar.bz2 doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch http://BSDforge.com/projects/source/dns/fastresolve/fastresolve-2.10.tar.bz2
fastresolve-2.10.tar.bz2                      100% of   64 kB  250 MBps 00m00s
===> Fetching all distfiles required by fastresolve-2.10_5 for building

# make extract
===>  License GPLv2 accepted by the user
===>   fastresolve-2.10_5 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by fastresolve-2.10_5 for building
===>  Extracting for fastresolve-2.10_5
=> SHA256 Checksum OK for fastresolve-2.10.tar.bz2.

While here, take MAINTAINER.

please find the svn diff, also attached, to fix this port.

Thanks!

--Chris
Comment 1 Chris Hutchinson 2015-04-11 19:43:14 UTC
I should also mention; that I *do* in fact, use this port. :)

Thanks!

--Chris
Comment 2 commit-hook freebsd_committer 2015-04-13 06:52:44 UTC
A commit references this bug:

Author: danfe
Date: Mon Apr 13 06:51:45 UTC 2015
New revision: 383898
URL: https://svnweb.freebsd.org/changeset/ports/383898

Log:
  - Unbreak by providing working mastersite
  - Improve COMMENT, canonicalize Makefile header
  - Unmute installation commands, misc. cleanups
  - Reformat port description; kill EOL whitespace
  - Remove defunct WWW from port description
  - Transfer maintainership to the submitter

  PR:		199324
  Submitted by:	Chris Hutchinson

Changes:
  head/dns/fastresolve/Makefile
  head/dns/fastresolve/pkg-descr
Comment 3 Alexey Dokuchaev freebsd_committer 2015-04-13 06:55:22 UTC
Committed as ports r383898 along with few other changes and cleanups, thank you.

Note that port description was reformatted slightly differently from what you proposed.  Also, I did not add "WWW: http://BSDforge.com/projects/dns/fastresolve/" because it returns 404.